import sys

import pytest


@pytest.mark.skipif(not sys.platform.startswith("win"), reason="for windows only")
def test_get_system_profiles_paths_nt():
    from clarabot_nano.utility.path.nt import get_system_profiles_paths

    sys_paths, profiles_path = get_system_profiles_paths()
    assert set(sys_paths) == {"C:\\Program Files", "C:\\Program Files (x86)", "C:\\ProgramData", "C:\\Windows"}
    assert profiles_path == "C:\\Users"
